insert into instalacao_log(ds_passo) values ('passo 269');
DELIMITER $$

DROP PROCEDURE IF EXISTS pr_recibo_cfe_cliente$$

CREATE PROCEDURE `pr_recibo_cfe_cliente`(IN _ID_PED INT)
BEGIN
	/*CORPO DO PROCEDIMENTO*/
select	 cl.ds_cnpj_cpf, 
		 cl.ds_nome, 
         cl.ds_tipo_documento,
         cl.ds_endereco,
         cl.ds_bairro,
		 cl.ds_contato
into @documento, @nome, @tipo, @end, @bairro, @contato
  from	erpc_pedidos_venda_liberados  pv
  join	erpc_clientes cl
  	on  pv.id_cliente = cl.id
where   pv.id = _ID_PED;

if @documento='' then
	select @nome  as xNome, @end as xEnd, @bairro as xBairro, @contato as xContato;
elseif @tipo='J' then
	select @documento as CNPJ, @nome as xNome, @end as xEnd, @bairro as xBairro, @contato as xContato;
elseif @tipo='F' then 
	select @documento as CPF, @nome as xNome, @end as xEnd, @bairro as xBairro, @contato as xContato;
end if;    

END$$
DELIMITER ;

insert into instalacao_log(ds_passo) values ('passo 270');